<?php displayIndex(); ?>
<p>
<?php if (isset($_SESSION['username'])) { ?>
	Vous utilisez actuellement un compte <?= (($_SESSION['type'] === 'trusted') ? 'confiancé' : 'de test') ?>.
<?php } else { ?>
	Vous n'utilisez actuellement aucun compte.
<?php } ?>
</p>

<h2>Types de comptes</h2>

<dl>
	<dt>De test</dt>
	<dd>
		C'est le type de compte par défaut, avec des fonctionnalités limitées pour éviter les abus&nbsp;:
		<ul>
			<li>Peut être supprimé n'importe quand</li>
			<li><?= ((CONF['ht']['user_quota_testing'] >> 30) >= 1) ? CONF['ht']['user_quota_testing'] >> 30 . ' ' . linkToDocs('units', '<abbr title="gibioctet">Gio</abbr>') : CONF['ht']['user_quota_testing'] >> 20 . ' ' . linkToDocs('units', '<abbr title="mébioctet">Mio</abbr>') ?> de SFTP</li>
			<li>Certificat Let's Encrypt de test</li>
		</ul>
	</dd>
	<dt>Confiancé</dt>
	<dd>
		C'est originellement un compte de test mais qui a été confiancé par ane administrataire, et qui a pour but d'être utilisé de façon stable&nbsp;:
		<ul>
			<li><?= ((CONF['ht']['user_quota_trusted'] >> 30) >= 1) ? CONF['ht']['user_quota_trusted'] >> 30 . ' ' . linkToDocs('units', '<abbr title="gibioctet">Gio</abbr>') : CONF['ht']['user_quota_trusted'] >> 20 . ' ' . linkToDocs('units', '<abbr title="mébioctet">Mio</abbr>') ?> de SFTP</li>
			<li>Vrai certificat Let's Encrypt</li>
		</ul>
	</dd>
</dl>
