<?php

if (processForm()) {
	checkPasswordFormat($_POST['newPassword']);

	if (checkPassword($_SESSION['username'], $_POST['currentPassword']) !== true)
		output(403, 'Changement impossible : clé de passe invalide.');

	changePassword($_SESSION['username'], $_POST['newPassword']);

	output(200, 'Clé de passe changée.');
}

?>

<p>
	Vous pouvez ici changer la clé de passe permettant d'accéder à votre compte Niver.
</p>

<form method="post">
	<label for="currentPassword">Clé de passe actuelle</label><br>
	<input required="" autocomplete="current-password" minlength="8" maxlength="1024" pattern="<?= PASSWORD_REGEX ?>" id="currentPassword" name="currentPassword" type="password" placeholder="<?= PLACEHOLDER_PASSWORD ?>"><br>

	<label for="newPassword">Nouvelle clé de passe</label><br>
	<input required="" autocomplete="new-password" minlength="8" maxlength="1024" pattern="<?= PASSWORD_REGEX ?>" id="newPassword" name="newPassword" type="password" placeholder="<?= PLACEHOLDER_PASSWORD ?>"><br>

	<input type="submit">
</form>
