<?php

if (isset($_SESSION['username']))
	$dirsStatuses = dirsStatuses($_SESSION['username'], "dns", "http");
else
	$dirsStatuses = [];

if (processForm()) {
	if ($dirsStatuses[$_POST['dir']] !== true)
		output(403, 'Wrong value for <code>dir</code>.');

	htDeleteSite($_POST['dir'], domainType: 'dns', protocol: 'http');

	output(200, 'Accès retiré.');
}

?>

<p>
	Retirer un accès DNS et TLS d'un dossier
</p>

<form method="post">
	<label for="dir">Dossier ciblé</label><br>
	<select required="" name="dir" id="dir">
		<option value="" disabled="" selected="">---</option>

<?php

foreach ($dirsStatuses as $dir => $alreadyEnabled) {
	$disabled = $alreadyEnabled ? "" : "disabled='' ";
	echo "		<option " . $disabled . "value='" . $dir . "'>" . $dir . "</option>\n";
}

?>

	</select>
	<br>
	<input value="Valider" type="submit">
</form>
